> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create folder

> Create a new folder



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /workspaceManagement/folders
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /workspaceManagement/folders:
    post:
      tags:
        - Workspace Management - Folders
      summary: Create folder
      description: Create a new folder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                emojiSlug:
                  type: string
                kind:
                  type: string
                  enum:
                    - play
                    - tool
                    - agent
                    - file
                    - mcpServer
                    - model
                    - app
                    - worker
                parentUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
              required:
                - name
                - emojiSlug
                - kind
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  folder:
                    type: object
                    properties:
                      uuid:
                        type: string
                      parentUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      kind:
                        type: string
                        enum:
                          - play
                          - tool
                          - agent
                          - file
                          - mcpServer
                          - model
                          - app
                          - worker
                      workspaceUuid:
                        type: string
                      name:
                        type: string
                      emojiSlug:
                        type: string
                      isReadOnly:
                        type: boolean
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      deletedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - parentUuid
                      - kind
                      - workspaceUuid
                      - name
                      - emojiSlug
                      - isReadOnly
                      - createdAt
                      - updatedAt
                      - deletedAt
                    additionalProperties: false
                required:
                  - folder
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````